function init()
	-- NAME & GRAPHIC --
	c.name = "GateEdge"
	c.gfxFile = "gate_edge.png"
	c.hitScale = 1.5

	-- STATS --
	c.mass = 40
	c.stat.armour = 1
	c.stationary = 1
	c.invulnerable = 1
	
	-- TILES & POWER SLOTS --
	
	-- PRESET COMPONENTS --

	-- MISC --
	c.emitFX = 0
	c.behavior = "stationary"
	
end

--sets the editor/minimap display icon
function setIcon()
	icon.frame = 0	--from map_icons.png, which frame to use.
	return 0
end